Add $data support in the DoctrineMembership repo
Closed, ResolvedPublic4 Story Points

Restricted Application added a subscriber: Zppix. · View Herald TranscriptMay 3 2016, 11:56 PM
Lea_WMDE moved this task from Incoming to WMDE Fundraising on the TCB-Team board.May 11 2016, 12:20 PM
This comment was removed by JeroenDeDauw.
JeroenDeDauw added a comment.EditedMay 12 2016, 2:13 AM

Usage data posted in https://github.com/wmde/FundraisingStore/issues/36

key,type,usage count,last used
member_agree,string,440,2016-01-12 17:38:02
anrede,string,181,2015-09-08 21:22:41
titel,string,181,2015-09-08 21:22:41
vorname,string,170,2015-09-08 21:22:41
nachname,string,170,2015-09-08 21:22:41
strasse,string,181,2015-09-08 21:22:41
plz,string,181,2015-09-08 21:22:41
ort,string,181,2015-09-08 21:22:41
country,string,181,2015-09-08 21:22:41
email,string,181,2015-09-08 21:22:41
phone,string,181,2015-09-08 21:22:41
dob,string,181,2015-09-08 21:22:41
wikilogin,string,181,2015-09-08 21:22:41
wikimedium_shipping,string,181,2015-09-08 21:22:41
membership_type,string,181,2015-09-08 21:22:41
membership_fee,integer,181,2015-09-08 21:22:41
membership_fee_custom,string,440,2016-01-12 17:38:02
comment,string,181,2015-09-08 21:22:41
account_holder,string,181,2015-09-08 21:22:41
bank_name,string,181,2015-09-08 21:22:41
iban,string,181,2015-09-08 21:22:41
bic,string,181,2015-09-08 21:22:41
token,string,440,2016-01-12 17:38:02
utoken,string,440,2016-01-12 17:38:02
confirm_sepa,string,7715,2016-01-12 16:33:21
account_number,string,179,2015-09-08 21:22:41
bank_code,string,179,2015-09-08 21:22:41
firma,string,16,2015-04-14 11:56:17
old_status,string,226,2016-01-08 10:21:36
log,array,4212,2016-01-12 16:33:21
confirmationPage,string,2580,2016-01-10 14:53:33
confirmationPageCampaign,string,2417,2016-01-04 11:48:35
impCount,string,235,2016-01-12 17:38:02
bImpCount,string,235,2016-01-12 17:38:02

Remaining fields after https://github.com/wmde/FundraisingFrontend/pull/396:

  • member_agree,
  • wikilogin,
  • wikimedium_shipping,
  • membership_type,
  • membership_fee,
  • membership_fee_custom,
  • comment,
  • token,
  • utoken,
  • confirm_sepa,
  • old_status,
  • log,
  • confirmationPage,
  • confirmationPageCampaign,
  • impCount,
  • bImpCount
JeroenDeDauw changed the point value for this task from 3 to 4.May 16 2016, 7:32 AM

Might be done by https://github.com/wmde/FundraisingFrontend/pull/412, though some fields remain:

  • wikilogin,
  • wikimedium_shipping,
  • membership_fee_custom,
  • comment,

AFAIK we do not need to do anything in the repo with regards to these fields. Is that correct?

  • old_status,
  • log,
  • confirm_sepa

I am unsure what the deal with these fields is. If I'm not mistaken the first two are used, though do not require action on creation of an application. confirm_sepa seems to be used in the old code, though it's unclear to me if the repo here need to set any value.

Tobi_WMDE_SW closed this task as "Resolved".Apr 7 2017, 11:25 AM
Tobi_WMDE_SW claimed this task.
Restricted Application added a project: WMDE-Fun-Team. · View Herald TranscriptApr 7 2017, 11:25 AM